summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-engines/love/love-0.7.2-r100.ebuild49
-rw-r--r--games-engines/love/love-0.8.0-r100.ebuild47
2 files changed, 96 insertions, 0 deletions
diff --git a/games-engines/love/love-0.7.2-r100.ebuild b/games-engines/love/love-0.7.2-r100.ebuild
new file mode 100644
index 00000000000..b28e616cd1d
--- /dev/null
+++ b/games-engines/love/love-0.7.2-r100.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-1 )
+LUA_REQ_USE="deprecated"
+
+inherit lua-single
+
+DESCRIPTION="A framework for 2D games in Lua"
+HOMEPAGE="https://love2d.org/"
+SRC_URI="https://github.com/love2d/${PN}/releases/download/${PV}/${P}-linux-src.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0.7"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="${LUA_DEPS}
+ dev-games/physfs
+ media-libs/devil[mng,png,tiff]
+ media-libs/freetype:2
+ media-libs/libmodplug
+ media-libs/libsdl[joystick,opengl]
+ media-libs/libvorbis
+ media-libs/openal
+ media-sound/mpg123
+ virtual/opengl
+"
+DEPEND="${RDEPEND}
+ media-libs/libmng:0
+ media-libs/tiff:0
+"
+
+S="${WORKDIR}/${PN}-HEAD"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.7.2-opengl_glext_prototypes.patch
+ "${FILESDIR}"/${PN}-0.8.0-freetype2.patch
+)
+
+src_install() {
+ DOCS="readme.txt changes.txt" \
+ default
+
+ mv "${ED}/usr/bin/${PN}" "${ED}/usr/bin/${PN}-${SLOT}" || die
+}
diff --git a/games-engines/love/love-0.8.0-r100.ebuild b/games-engines/love/love-0.8.0-r100.ebuild
new file mode 100644
index 00000000000..5ac4d20e65a
--- /dev/null
+++ b/games-engines/love/love-0.8.0-r100.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-1 )
+LUA_REQ_USE="deprecated"
+
+inherit lua-single
+
+DESCRIPTION="A framework for 2D games in Lua"
+HOMEPAGE="https://love2d.org/"
+SRC_URI="https://github.com/love2d/${PN}/releases/download/${PV}/${P}-linux-src.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0.8"
+KEYWORDS="~amd64 ~arm ~x86"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="${LUA_DEPS}
+ dev-games/physfs
+ media-libs/devil[mng,png,tiff]
+ media-libs/freetype:2
+ media-libs/libmodplug
+ media-libs/libsdl[joystick,opengl,video]
+ media-libs/libvorbis
+ media-libs/openal
+ media-sound/mpg123
+ virtual/opengl
+"
+DEPEND="${RDEPEND}
+ media-libs/libmng:0
+ media-libs/tiff:0
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.8.0-freetype2.patch
+ "${FILESDIR}"/${PN}-0.8.0-opengl_glext_prototypes.patch
+)
+
+src_install() {
+ DOCS="readme.md changes.txt" \
+ default
+
+ mv "${ED}/usr/bin/${PN}" "${ED}/usr/bin/${PN}-${SLOT}" || die
+}